Subject: updatedb, locate are working in B19
From: [email-masked] (Michael Hirmke)

24 Mar 1998 10:29:03 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi *,

JFYI - updatedb and locate are working perfectly now with B19 !
This is something I really missed in previous versions, so I thought,
others might be interested, too :)

To set the env vars and then run updatedb I wrote a small shell script.
I attach it to this posting - just in case :)
Of course you have to adjust all the paths to reflect your installation.

Bye.
Michael.

------------------------< snip snip snip >-----------------------------
#!/usr/bin/bash

# exec 2>/var/log/doupdatedb.log
# set -x

# CYGNUS main directory
: ${CYGROOT="//c/usr"}
# Non-network directories to put in the database.
: ${SEARCHPATHS="//c //d //e"}
export SEARCHPATHS
# Network (NFS, AFS, RFS, etc.) directories to put in the database.
: ${NETPATHS=}
export NETPATHS
# Directories to not put in the database, which would otherwise be.
: ${PRUNEPATHS="//c/tmp //c/temp //e/tmp //e/temp //d/var/log //d/var/run //e/var/log //e/var/run"}
export PRUNEPATHS
# The same, in the form of a regex that find can use.
: ${PRUNEREGEX=}
export PRUNEREGEX
# The database file to build.
: ${LOCATE_DB=//d/var/lib/locatedb}
export LOCATE_DB
# Directory to hold intermediate files.
: ${TMPDIR=/tmp}
export TMPDIR
# The user to search network directories as.
: ${NETUSER=}
export NETUSER
# The directory containing the subprograms.
: ${LIBEXECDIR=$CYGROOT/libexec}
export LIBEXECDIR
# The directory containing find.
: ${BINDIR=$CYGROOT/bin}
export BINDIR
# The names of the utilities to run to build the database.
: ${find=find}
: ${frcode=frcode}
: ${bigram=bigram}
: ${code=code}
export find frcode bigram code
# Path
PATH="$LIBEXECDIR:$BINDIR:$PATH"
export PATH

# GO !
updatedb &
------------------------< snip snip snip >-----------------------------

--
Michael Hirmke           | Telefon +49 (911) 557999
Georg-Strobel-Strasse 81 | FAX     +49 (911) 557664
90489 Nuernberg          | E-Mail  mailto:[email-masked]
                         | WWW     http://minimike.franken.de/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".